# Grafana exporter for ZTE 5G modems

## Getting started

One can just run the provided python script by `python3 zte_exporter.py <port> <router ip> <admin username> <admin password> <login method>`

Login method depends on the used router, f.e MC7010 uses single login and MC889A has multi. You can tell by if the login page asks for username (multi) or if it's just password (single). On single login the username variable is not used at all so it can be set whatever you fancy.

A docker file is provided to compile this and example compose.yml to use in compose tools. To use with docker run, just create .env with the correct values. dockerhub vvkvvk/zte-exporter has the latest version of this available. A compose.yml file is provided as example.

## Tested devices

Probably works with other ZTE models, only tested with ZTE MC7010 and MC889A. A simple Grafana dashboard included with the grafana.json.

## Thanks

Largely based on https://github.com/Kajkac/ZTE-MC-Home-assistant
